/**
 * An interface for "hashing" the license of a SpaceShip (for inserting into a hash map).
 * Different implementations can reflect different hashing algorithms.
 * 
 * @version Sp14
 */
public interface LicenseHasher
{
	/**
	 * Returns an integer representation (hashcode) of the given license
	 * @param license the license to hash
	 * @return the hashcode of the license
	 */
	public int hash(String license);
}
