/**
 * A simple ADT for a space ship carrying cargo.
 * 
 * @author Joel Ross, based on class by Chuck Hommel
 * @version Sp14
 */
public class SpaceShip
{
	private String license; //a license number for the ship. Should be unique to this ship.
	private String cargo; //a description of the ship's cargo

	/**
	 * Creates a new SpaceShip with the given license and cargo
	 * @param license The ship's license
	 * @param cargo The ship's cargo
	 */
	public SpaceShip(String license, String cargo)
	{
		this.license = license;
		this.cargo = cargo;
	}

	/**
	 * Returns the license number of the ship
	 * @return The license number
	 */
	public String getLicense()
	{
		return license;
	}

	/**
	 * Returns the ship's cargo
	 * @return The cargo
	 */
	public String getCargo()
	{
		return cargo;
	}   

	public String toString()
	{
		return "Transport "+ license +" carrying "+ cargo;
	}
}
